/**
 * @module botbuilder
 */
/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
import { StatusCodes } from 'botbuilder-core';
/**
 * Extends Error to provide specialized error messages.
 */
export declare class StatusCodeError extends Error {
    readonly statusCode: StatusCodes;
    /**
     * Creates a new instance of the [StatusCodeError](xref:botbuilder.StatusCodeError) class.
     *
     * @param statusCode The status code.
     * @param message Optional. The error message.
     */
    constructor(statusCode: StatusCodes, message?: string);
}
//# sourceMappingURL=statusCodeError.d.ts.map