"use strict";
/**
 * @module botbuilder
 */
/**
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusCodeError = void 0;
/**
 * Extends Error to provide specialized error messages.
 */
class StatusCodeError extends Error {
    /**
     * Creates a new instance of the [StatusCodeError](xref:botbuilder.StatusCodeError) class.
     *
     * @param statusCode The status code.
     * @param message Optional. The error message.
     */
    constructor(statusCode, message) {
        super(message);
        this.statusCode = statusCode;
        this.name = 'StatusCodeError';
    }
}
exports.StatusCodeError = StatusCodeError;
//# sourceMappingURL=statusCodeError.js.map